---
title: "units::toRadians"
subtitle: "Function in std::units"
excerpt: "Converts a number to radians from its current units."
layout: manual
---

Converts a number to radians from its current units.

```kcl
units::toRadians(@num: number(Angle)): number(rad)
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | [`number(Angle)`](/docs/kcl-std/types/std-types-number) | A number. | Yes |

### Returns

[`number(rad)`](/docs/kcl-std/types/std-types-number) - A number.


### Examples

```kcl
exampleSketch = startSketchOn(XZ)
  |> startProfile(at = [0, 0])
  |> angledLine(
    angle = 50,
    length = 70 * cos(units::toRadians(45)),
  )
  |> yLine(endAbsolute = 0)
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of units::toRadians 0](data:image/png;base64,[encoded data, 85240 characters])


